Issue #9589 has been updated by Nikita Shilnikov.


This command fails with segfault on 2.1.1 and 2.1.2:
ruby -e 'define_method(:bar) {send(:bar)}; bar'
It's OK on 2.0.0 and below.

----------------------------------------
Bug #9589: Stack level too deep during eval causes segmentation fault
https://bugs.ruby-lang.org/issues/9589#change-47472

* Author: carlos aya
* Status: Open
* Priority: Normal
* Assignee: 
* Category: 
* Target version: 
* ruby -v: 1.9.3
* Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN
----------------------------------------
The following silly code, which imho should generate a " stack level too deep (SystemStackError)", segfaults

$ echo 'eval($_)' | ruby -n -e 'eval($_)'

I thought it may be a bug, not sure.

My version:
carlos-mac$ ruby -v
ruby 1.9.3p327 (2012-11-10) [x86_64-darwin12.2.0]





-- 
https://bugs.ruby-lang.org/